Subject: Darwin Day update and info

From: Jo Ann Mooney <[email-masked]>
Date: Sun, 27 Feb 2005 09:56:31 -0600

I don't know if you want a summary of how our Darwin Day turned out but 
the Heartland Humanists event on 3/25 was standing room only (not that 
it was that big a room).  We had the biggest turn out for a speaker in 
well over a year and the talk was very well received.  People had so 
much interest in continuing the conversation that we went out for a late 
dinner afterwards with the speaker.
On another note, I think it was from you asking about ideas to celebrate 
Darwin's Day other than a speaker.  Well between my husband and I, we 
came up with a game you could play--pin the species on the appropriate 
branch of the evolutionary tree of life.
Jo Ann Mooney